{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Inbox {% endblock title %}

{% block stylesheets %}
	<style>
		.has-feedback .form-control {
		    padding-right: 50%;
		}
		.form-control-feedback {
			top: 0px !important;
		}
	</style>	
{% endblock %}

{% block body -%}
        
        <section class="content-header">
          <h1>
            Inbox
          </h1>
        </section>       

        <section class="content">
        	<div class="row">
            
            <div class="col-md-3">
              <a href="{{ path('new_message') }}" class="btn btn-primary btn-block margin-bottom">
              	<i class="fa fa-pencil-square-o"></i>&nbsp;&nbsp;Nuevo mensaje
              </a>
              <div class="box box-solid">
                <div class="box-header with-border">
                  <h3 class="box-title">Herramientas</h3>
                </div>
                <div class="box-body no-padding">
                  <ul class="nav nav-pills nav-stacked">
                    <li class="active"><a href="{{ path('show_inbox') }}"><i class="fa fa-inbox"></i> Inbox (No leidos) <span class="label label-primary pull-right" id="load_total_inbox3">0</span></a></li>
                    <li><a href="{{ path('show_inbox_send') }}"><i class="fa fa-arrow-circle-right"></i> Mensajes Enviados</a></li>
                    <li><a href="{{ path('show_inbox_delete') }}"><i class="fa fa-times-circle-o"></i> Mensajes Eliminados</a></li>
                    <li><a href="{{ path('show_inbox_leidos') }}"><i class="glyphicon glyphicon-eye-open"></i> Mensajes Leidos</a></li>
                  </ul>
                </div><!-- /.box-body -->
              </div><!-- /. box -->
            </div><!-- /.col -->

            <div class="col-md-9">
              <div class="box box-primary">
                
                <div class="box-header with-border">
                  <h3 class="box-title">Mensajes Nuevos</h3>
                </div><!-- /.box-header -->

                <div class="box-body no-padding" style="padding-bottom: 3% ! important;">
                  <div class="mailbox-controls">

			        <div class="btn-group">            
			        	<button class="btn btn-default btn-sm" data-toggle="tooltip" title="Eliminar" onclick="eliminarMensajes()"><i class="fa fa-trash-o"></i></button>			          
			        </div>

        			     <button class="btn btn-default btn-sm" id="updateInbox" onclick="document.location.href= '{{ path('show_inbox') }}';showLoading('Actualizando...');"><i class="fa fa-refresh"></i></button>
                  </div>


                  <div class="table-responsive mailbox-messages" style="padding: 0px 1%;">
                    <table class="table table-hover table-striped" id="tbl_inbox">
                      <thead>
                      	<th><i class="fa fa-square-o"></i></th>
                      	<th style="max-width: 250px;">Asunto.</th>
                      	<th>Remitente.</th>
                      	<th>Fecha.</th>
                      </thead>
                      <tbody>

                        {% for entity in Inbox %}
                          <tr onclick=document.location.href='{{ path('show_message', { 'id': entity.Mensaje.idMensaje  }) }}' style="cursor:pointer">
                            <td style="text-align: center; padding-left: 0%;"> 
                              <input type="checkbox" value="{{ entity.idInbox }}" onclick="selected(this)" id="chkStatus"> 
                            </td>
                            <td>{{ entity.Mensaje.Asunto }}</td>
                            <td>{{ entity.Mensaje.Emisor.uNombre }} {{ entity.Mensaje.Emisor.uApPaterno }} {{ entity.Mensaje.Emisor.uApMaterno }}</td>
                            <td>{{ entity.Mensaje.Fecha.date|date("d/m/Y H:i:s") }}</td>                            
                          </tr> 
                        {% endfor %}

                      </tbody>
                    </table><!-- /.table -->
                  </div><!-- /.mail-box-messages -->
                </div><!-- /.box-body -->

              </div><!-- /. box -->
            </div><!-- /.col -->

          </div><!-- /.row -->
        </section>	
{% endblock %}

{% block javascripts %}
	

	<script>
		$(document).ready(function() {
      $("input[type=checkbox]").prop("checked", false); // para quitar la marca

		    $('#tbl_inbox').DataTable({
        					"language":DataTables.languaje.es
										 					
        	});

		    $( "select" ).addClass( "form-control" );
			$( "input[type='text']" ).addClass( "form-control" );
			$( "input[type='search']").addClass( "form-contro" );		        	
			$( "#tbl_inbox_length" ).addClass( "form-inline" );
			$( "#tbl_inbox_filter" ).addClass( "form-inline" );



		} );

		$(function () {
		  $('[data-toggle="tooltip"]').tooltip()
		})

    var AInbox = new Array();

    function selected(item){

      idInbox = parseInt(item.value);
      var posicion = AInbox.indexOf(idInbox);
      if (posicion == -1) {
        AInbox.push(idInbox);
      }else{
        AInbox.splice(posicion,1);
      }
    }

    function eliminarMensajes(){
      if(AInbox.length > 0){
        showLoading('Eliminando Mensaje(s)');
        var urlActualiza = "{{path('delete_mensaje')}}"; 
        $.post(urlActualiza, {Mensajes:AInbox}, function(data, textStatus, xhr) {
         if (data.estatus == 1){     
            hideLoading(); 
            alert(data.mensaje);        
            $('#updateInbox').click(); 
         }else{
            alert(data.mensaje);
            hideLoading();
         }  
        });
      }else{
        alert("Debe seleccionar uno o varios mensajes que desea eliminar");
      }
    }

	</script>

{% endblock %}